wake-up-neo.com

installieren von mod_ssl Amazon linux

Ich versuche einfach, mod_ssl auf einem CentOS-Server zu installieren. Wenn Sie einen eindeutigen Sudo yum install mod_ssl ausführen, wird ein Fehler zurückgegeben:

Fehler: httpd24-tools steht in Konflikt mit httpd-tools-2.2.25-1.0.amzn1.x86_64

Fehler: httpd24 steht in Konflikt mit httpd-2.2.25-1.0.amzn1.x86_64

Sie können versuchen, --skip-broken zu verwenden, um das Problem zu umgehen

Sie könnten versuchen, folgendes auszuführen: rpm -Va --nofiles --nodigest

Ich habe versucht, httpd-tools durch: Sudo yum remove httpd-tools-2.2.25-1.0.amzn1.x86_64 zu entfernen, aber kein Glück. Gibt es Dinge, die ich vermisst habe?

EDIT:

Ich habe Sudo yum -v remove httpd-tools-2.2.25-1.0.amzn1.x86_64 und gibt folgendes aus:

Yum Version: 3.2.29
rpmdb time: 0.000
Setting up Remove Process
No Match for argument: httpd-tools-2.2.25-1.0.amzn1.x86_64
Setting up Package Sacks
amzn-main                                                                                                                         | 2.1 kB     00:00
amzn-updates                                                                                                                      | 2.3 kB     00:00
pkgsack time: 0.330
Package(s) httpd-tools-2.2.25-1.0.amzn1.x86_64 available, but not installed.
No Packages marked for removal

yum search mod_ssl gibt folgendes aus:

enter image description here

33
Leandro Garcia

Versuche dies:

Sudo yum install mod24_ssl

Wenn Sie in Zukunft auf eine andere Inkompatibilität wie diese stoßen, verwenden Sie yum search all. Zum Beispiel:

yum search all mod_ssl

Kehrt zurück:

mod_ssl.x86_64 : SSL/TLS module for the Apache HTTP Server
mod24_ssl.x86_64 : SSL/TLS module for the Apache HTTP Server
92
Bas Peeters

Ich habe das gleiche Problem und habe es einfach durch Kompilieren von Apache Version 2.4.6 aus dem Quellcode mit dem Amazon APR Devel Paket 1.4.6 gelöst, das sich in der AMI befindet und das dann kopiert hat mod_ssl.so neu in das /etc/httpd/modules-Verzeichnis kompiliert, fertig.

Hier können Sie herunterladen der mod_ssl.so für Amazon Linux Apache 2.4.6 x64 MOD_SSL.

0

dieser kann dir helfen:

Suchen Sie in Ubuntu 18.04 nach mod_ssl nach apt search mod_ssl, dann sehen Sie Apache2-ssl-dev. Dies ist das, was Sie brauchen.

0
namnh

Sie können alle fehlenden Module mit APXS installieren

http://httpd.Apache.org/docs/2.2/programs/apxs.html

Laden Sie dieses Paket herunter, laden Sie es auf Ihren Server hoch und folgen Sie den Anweisungen. Wenn Sie auf Fehler stoßen, bedeutet dies nur, dass Sie die fehlenden Komponenten installieren müssen. In meinem Fall musste ich libtools und openssl installieren.

Verwenden Sie einfach etwas wie:

Sudo yum installieren libtools

Ich glaube, Sie benötigen auch Apache-Entwicklertools. Sie können die installierbaren Komponenten dadurch leicht finden

Sudo Yum Suche httpd-dev

zum Beispiel (nicht ganz sicher in diesem Fall)

zum Schluss folgen Sie einfach den Anweisungen des Links, den ich ganz am Anfang eingefügt habe.

0
Pochi